Bug 1676217 - worker: FTBFS in Fedora rawhide/f30
Summary: worker: FTBFS in Fedora rawhide/f30
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: worker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 22:22 UTC by Fedora Release Engineering
Modified: 2019-04-26 22:28 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-15 00:01:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 22:22 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 22:22:03 UTC
worker failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32509099


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix worker at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
worker will be orphaned. Before branching of Fedora 31,
worker will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 22:22:06 UTC
Created attachment 1533604 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 22:22:07 UTC
Created attachment 1533605 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 22:22:08 UTC
Created attachment 1533606 [details]
state.log

Comment 4 Jeff Krebs 2019-04-05 17:53:57 UTC
I was getting the following output when trying to rebuild:

*** ERROR: ambiguous python shebang in /usr/share/worker/scripts/find_file_by_chksum.py: #!/usr/bin/env python. Change it to python3 (or python2) explicitly.
mangling shebang in /usr/share/worker/scripts/displaywrapper_worker from /bin/sh to #!/usr/bin/sh
mangling shebang in /usr/share/worker/scripts/cd2mp3.sh from /bin/bash to #!/usr/bin/bash
mangling shebang in /usr/share/worker/scripts/cd2ogg.sh from /bin/bash to #!/usr/bin/bash
mangling shebang in /usr/share/worker/scripts/git_modified_files.sh from /bin/sh to #!/usr/bin/sh
error: Bad exit status from /var/tmp/rpm-tmp.a3n86H (%install)

I created the following patch:

--- scripts/find_file_by_chksum.py	2019-01-28 15:40:22.000000000 -0600
+++ scripts/find_file_by_chksum.py	2019-03-31 23:22:04.805776341 -0500
@@ -1,4 +1,4 @@
-#! /usr/bin/env python
+#! /usr/bin/env python3
 #
 # This script outputs all files matching a given checksum
 

And that allowed a successful build. A file search with the new RPM was successful.

Oh, and the version needs updating from 3.15.2 to 3.15.4.

Comment 5 Filipe Rosset 2019-04-05 19:17:01 UTC
(In reply to Jeff Krebs from comment #4)
> I was getting the following output when trying to rebuild:
> 
> *** ERROR: ambiguous python shebang in
> /usr/share/worker/scripts/find_file_by_chksum.py: #!/usr/bin/env python.
> Change it to python3 (or python2) explicitly.
> mangling shebang in /usr/share/worker/scripts/displaywrapper_worker from
> /bin/sh to #!/usr/bin/sh
> mangling shebang in /usr/share/worker/scripts/cd2mp3.sh from /bin/bash to
> #!/usr/bin/bash
> mangling shebang in /usr/share/worker/scripts/cd2ogg.sh from /bin/bash to
> #!/usr/bin/bash
> mangling shebang in /usr/share/worker/scripts/git_modified_files.sh from
> /bin/sh to #!/usr/bin/sh
> error: Bad exit status from /var/tmp/rpm-tmp.a3n86H (%install)
> 
> I created the following patch:
> 
> --- scripts/find_file_by_chksum.py	2019-01-28 15:40:22.000000000 -0600
> +++ scripts/find_file_by_chksum.py	2019-03-31 23:22:04.805776341 -0500
> @@ -1,4 +1,4 @@
> -#! /usr/bin/env python
> +#! /usr/bin/env python3
>  #
>  # This script outputs all files matching a given checksum
>  
> 
> And that allowed a successful build. A file search with the new RPM was
> successful.
> 
> Oh, and the version needs updating from 3.15.2 to 3.15.4.

I'll handle worker tickets tonight, thanks.

Comment 6 Jeff Krebs 2019-04-05 20:25:11 UTC
My error. How about I give you the correct patch?


--- scripts/find_file_by_chksum.py	2019-01-28 15:40:22.000000000 -0600
+++ scripts/find_file_by_chksum.py	2019-03-31 23:22:04.805776341 -0500
@@ -1,4 +1,4 @@
-#! /usr/bin/env python
+#! /usr/bin/python3
 #
 # This script outputs all files matching a given checksum

Comment 7 Fedora Update System 2019-04-07 19:56:13 UTC
worker-3.15.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c4e4c7ddf

Comment 8 Fedora Update System 2019-04-07 19:56:18 UTC
worker-3.15.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f211daf19

Comment 9 Fedora Update System 2019-04-07 19:56:23 UTC
worker-3.15.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6d3ef9ddd

Comment 10 Fedora Update System 2019-04-08 01:54:47 UTC
worker-3.15.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6d3ef9ddd

Comment 11 Fedora Update System 2019-04-08 02:36:50 UTC
worker-3.15.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1c4e4c7ddf

Comment 12 Fedora Update System 2019-04-08 02:53:21 UTC
worker-3.15.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4f211daf19

Comment 13 Fedora Update System 2019-04-15 00:01:19 UTC
worker-3.15.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-25 23:24:19 UTC
worker-3.15.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-26 22:28:54 UTC
worker-3.15.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.